{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.hydra-builder {

  # Paquets
  environment.systemPackages = with pkgs; [
  ];

  # Services


  virtualisation.virtualbox.host.enable = true;
  nix.gc.automatic = true;

  users.users."hydrabld" = {
    description = "Execution des jobs hydra";
    group = "nixbld";
    extraGroups = [ "nixbld" ];
    isNormalUser = true;

    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGYpjcWJCf8dXpv2LmoIaNVbwZXEC50QUU6Az+lqeD89 hydra radx"
    ];
  };
}
